feat: abandon the use of the git information in the repo itself

This commit is contained in:
silver 2025-01-02 17:09:40 +00:00
parent 2858674956
commit f63b72a0a7
Signed by: silver
GPG key ID: 36F93D61BAD3FD7D
8 changed files with 5 additions and 26 deletions

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-checkout' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-checkout "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-commit' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-commit "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-merge' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-merge "$@"

View file

@ -1,4 +0,0 @@
#!/usr/bin/env bash
tar czf _git.tar.gz --exclude .git/lfs .git
git add _git.tar.gz

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'pre-push' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs pre-push "$@"

BIN
_git.tar.gz (Stored with Git LFS)

Binary file not shown.

View file

@ -19,8 +19,6 @@
packages = with pkgs.python3Packages; [ packages = with pkgs.python3Packages; [
mkdocs mkdocs
mkdocs-material mkdocs-material
mkdocs-git-authors-plugin
mkdocs-git-revision-date-localized-plugin
]; ];
in { in {
formatter = alejandra.defaultPackage.${system}; formatter = alejandra.defaultPackage.${system};
@ -28,7 +26,7 @@
name = "skynet-wiki"; name = "skynet-wiki";
src = self; src = self;
buildInputs = packages; buildInputs = packages;
buildPhase = "tar -zxf _git.tar.gz && mkdocs build"; buildPhase = "mkdocs build";
installPhase = "mkdir -p $out; cp -R site/* $out;"; installPhase = "mkdir -p $out; cp -R site/* $out;";
}; };

View file

@ -25,10 +25,10 @@ theme:
view: material/eye view: material/eye
plugins: plugins:
- search - search
- git-authors: # - git-authors:
show_email_address: false # show_email_address: false
- git-revision-date-localized: # - git-revision-date-localized:
enable_creation_date: true # enable_creation_date: true
markdown_extensions: markdown_extensions:
- tables - tables
- pymdownx.caret - pymdownx.caret